#
# spec file for package perl-ORLite-Mirror
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ORLite-Mirror
Version:        1.24
Release:        1.3
%define cpan_name ORLite-Mirror
Summary:        Extend ORLite to support remote SQLite databases
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ORLite-Mirror/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::HomeDir) >= 0.69
BuildRequires:  perl(File::Path) >= 2.04
BuildRequires:  perl(File::Remove) >= 1.42
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(IO::Compress::Bzip2) >= 2.008
BuildRequires:  perl(IO::Compress::Gzip) >= 2.008
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.008
BuildRequires:  perl(IO::Uncompress::Gunzip) >= 2.008
BuildRequires:  perl(LWP::Online) >= 1.07
BuildRequires:  perl(LWP::UserAgent) >= 5.806
BuildRequires:  perl(ORLite) >= 1.37
BuildRequires:  perl(Params::Util) >= 0.33
BuildRequires:  perl(URI) >= 1.35
Requires:       perl(File::HomeDir) >= 0.69
Requires:       perl(File::Path) >= 2.04
Requires:       perl(File::Remove) >= 1.42
Requires:       perl(File::ShareDir) >= 1.00
Requires:       perl(IO::Uncompress::Bunzip2) >= 2.008
Requires:       perl(IO::Uncompress::Gunzip) >= 2.008
Requires:       perl(LWP::Online) >= 1.07
Requires:       perl(LWP::UserAgent) >= 5.806
Requires:       perl(ORLite) >= 1.37
Requires:       perl(Params::Util) >= 0.33
%{perl_requires}

%description
the ORLite manpage provides a readonly ORM API when it loads a readonly
SQLite database from your local system.

By combining this capability with the LWP manpage, the ORLite::Mirror
manpage goes one step better and allows you to load a SQLite database from
any arbitrary URI in readonly form as well.

As demonstrated in the synopsis above, you using the ORLite::Mirror manpage
in the same way, but provide a URL instead of a file name.

If the URL explicitly ends with a '.gz' or '.bz2' then the ORLite::Mirror
manpage will decompress the file before loading it.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example LICENSE README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.24
  see /usr/share/doc/packages/perl-ORLite-Mirror/Changes
  1.24 Tue 30 Oct 2012
  - Upgrading to Module::Install::DSL 1.06
  - Move decompression modules to require to save 2-3 meg of memory
  1.23 Fri 3 Feb 2012
  - Updating Module::Install::DSL to 1.04
  - Added documentation for the constructor options.
  1.22 Wed 2 Aug 2011
  - Added env_proxy => 1 to enable LWP proxy support
  1.21 Tue 31 May 2011
  - Updating Module::Install::DSL to 1.01
  - Updating copyright year
  - Fixes a warning when the calling package $VERSION is null
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.22
  see /usr/share/doc/packages/perl-ORLite-Mirror/Changes
  1.22 Wed 2 Aug 2011
  - Added env_proxy => 1 to enable LWP proxy support
  1.21 Tue 31 May 2011
  - Updating Module::Install::DSL to 1.01
  - Updating copyright year
  - Fixes a warning when the calling package $VERSION is null
* Fri Apr 22 2011 coolo@opensuse.org
- initial package 1.20
  * created by cpanspec 1.78.04
